# .bashrc

# Source global definitions
if [ -f /etc/bashrc ]; then
	        . /etc/bashrc
	fi

	# Uncomment the following line if you don't like systemctl's auto-paging feature:
	# export SYSTEMD_PAGER=

	# User specific aliases and functions
	export SPARK_HOME="/var/lib/Spark"
	export JAVA_HOME="/usr/lib/jvm/java-1.8.0-openjdk-1.8.0.171-7.b10.el7.x86_64"
	export HADOOP_PREFIX="/usr/local/hadoop"
	export HADOOP_HOME=$HADOOP_PREFIX
	export HADOOP_COMMON_HOME=$HADOOP_PREFIX
	export HADOOP_CONF_DIR=$HADOOP_PREFIX/etc/hadoop
	export HADOOP_HDFS_HOME=$HADOOP_PREFIX
	export HADOOP_MAPRED_HOME=$HADOOP_PREFIX
	export HADOOP_YARN_HOME=$HADOOP_PREFIX
